Runtime

## org.eclipse.gmf.runtime.diagram.ui.view.factories
Class AbstractLabelViewFactory

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.view.factories.AbstractViewFactory
          org.eclipse.gmf.runtime.diagram.ui.view.factories.BasicNodeViewFactory
              org.eclipse.gmf.runtime.diagram.ui.view.factories.AbstractLabelViewFactory

All Implemented Interfaces:
  ViewFactory

public abstract class AbstractLabelViewFactory
extends BasicNodeViewFactory

the base factory class for all label views

See Also:
  `BasicNodeViewFactory`

Constructor Summary
`AbstractLabelViewFactory()`

Method Summary
`protected LayoutConstraint` `createLayoutConstraint()` Method used to create the layout constraint that will get set on the created view.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.view.factories.BasicNodeViewFactory
`createNode, createView, decorateView, isUnProtectedSilentTransactionInProgress`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.view.factories.AbstractViewFactory
`createStyles, getEditingDomain, getPreferencesHint, getViewService, initializeFromPreferences, requiresElement, requiresElement, setPreferencesHint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractLabelViewFactory

    public AbstractLabelViewFactory()

Method Detail

### createLayoutConstraint

    protected LayoutConstraint createLayoutConstraint()

  Description copied from class: `BasicNodeViewFactory`
  Method used to create the layout constraint that will get set on the created view. You can override this method in your own factory to change the default constraint. This method is called by @link #createView(IAdaptable, View, String, int, boolean)

  Overrides:
    `createLayoutConstraint` in class `BasicNodeViewFactory`
  Returns:
    a new layout constraint for the view

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.